GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "0ad660bf-c694-41b9-afd6-e63b752a37f2",
"cleanroom_type_id": "3716e617-21f4-4c6c-ada4-9f32750bd954",
"code": 3,
"date_hu": "2026-09-25T09:11:05.0205855+00:00",
"id": "716481c6-4dc9-4113-a35c-a051db698768",
"site_id": "332dba2b-2bc8-440c-a43b-a7193d627b49",
"wash_count": 6,
"position": 1,
"pc_id": "1f79c6e4-a016-4171-aa4f-98cbe0dc8872"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>0ad660bf-c694-41b9-afd6-e63b752a37f2</bag_status_id> <cleanroom_type_id>3716e617-21f4-4c6c-ada4-9f32750bd954</cleanroom_type_id> <code>3</code> <date_hu>2026-09-25T09:11:05.0205855+00:00</date_hu> <id>716481c6-4dc9-4113-a35c-a051db698768</id> <pc_id>1f79c6e4-a016-4171-aa4f-98cbe0dc8872</pc_id> <position>1</position> <site_id>332dba2b-2bc8-440c-a43b-a7193d627b49</site_id> <wash_count>6</wash_count> </bag>